package service

import (
	"net/http"
	"strings"
	"time"
	"fmt"
	"tools/loger"
	"page/response/icon"
	"page/response/wiki"
	"page/response/file"
	"page/response/official"
	"page/response/errors"
)

func PageService(w http.ResponseWriter,r *http.Request) {
	ts := time.Now().Unix()
	loger.LogIn("[Page Thread]","Got requests from ",r.RemoteAddr,", address is ",r.URL.RequestURI())
	w.Header().Set("Server","GMCLAPI (Alpha 1.0.0)")
	w.Header().Set("Engine","Panda (Alpha 1.0.0)")
	w.Header().Set("Stamp",fmt.Sprint(ts))
	addr:=r.URL.RequestURI()
	value:=strings.Split(addr,"/")
	pathType:=value[1]
	value=value[2:]
	if addr=="/"{
	   wiki.ResponseWiKi(w,r)
	}else{
	   switch pathType {
	   case "favicon.ico":
		  icon.ResponseICON(w,r)
	   case "file":
		  file.ResponseFile(w,r,value)
	   case "official":
		official.ResponseOfficial(w,r,value)
		  /*
	   case "bmclapi":
		  responseBMCLAPI(w,r,value)
	   case "default":
		  responseDefault(w,r,value)
	   case "gmclapi":
		  responseDefault(w,r,value)
	   */
	   default:
		  errors.ResponseError(w,r,405,"Unspported choice for requests loading",10001)
	   }
	}
 }